Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class FileStatistics

    java.lang.Object
      com.enterprisedt.net.ftp.FileStatistics

    public class FileStatistics

extends java.lang.Object

Statistics on transfers and deletes. This will be continually updated by the clients.

Version:
  $Revision: 1.4 $
Author:
  Bruce Blackshaw

Constructor Summary
`FileStatistics()` Default constructor

Method Summary
`void` | `addClient(FTPClientInterface client)` Add a client to be used in calculating statistics
`void` | `clear()` Reset the statistics back to zero
`int` | `getDeleteCount()` Get the number of files deleted since the count was reset
`int` | `getDownloadCount()` Get the number of files downloaded since the count was reset
`int` | `getUploadCount()` Get the number of files uploaded since the count was reset

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileStatistics

    public FileStatistics()

  Default constructor

  Parameters:
    `downloadCount` -
    `uploadCount` -
    `deleteCount` -

Method Detail

### addClient

    public void addClient(FTPClientInterface client)

  Add a client to be used in calculating statistics

  Parameters:
    `client` - extra client

### getDownloadCount

    public int getDownloadCount()

  Get the number of files downloaded since the count was reset

  Returns:
    download file count

### getUploadCount

    public int getUploadCount()

  Get the number of files uploaded since the count was reset

  Returns:
    upload file count

### getDeleteCount

    public int getDeleteCount()

  Get the number of files deleted since the count was reset

  Returns:
    deleted file count

### clear

    public void clear()

  Reset the statistics back to zero

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.